// +build ignore

package main

import (
	"log"

	"bitmask.me/skeleton/assets"
	"github.com/shurcooL/vfsgen"
)

func main() {
	err := vfsgen.Generate(assets.Assets, vfsgen.Options{
		PackageName:  "assets",
		BuildTags:    "!dev",
		VariableName: "Assets",
		Filename:     "./assets/assets_vfsdata.go",
	})
	if err != nil {
		log.Fatalln(err)
	}
}